Subject: Re: [PATCH] better git-submodule status output

From: Sylvain Joyeux <[email-masked]>
Date: Wed, 9 Jul 2008 15:46:29 +0200

> >   On the symbols side, I propose:
> >     > submodule commit is a direct descendant of the commit in the
> >       superproject
> >     < submodule commit is a direct ancestor of the commit in the
> >       superproject
> >     + no direct relation between submodule commit and commit in the
> >       superproject
> >     ? the commit in the superproject cannot be found in the submodule
> >       (replaces the initial '!' in my patch)
> 
> I like the output of "git checkout" when your local branch is not agreeing 
> with the tracked branch.  Maybe it would be more user-friendly to have 
> submodule use that type of message, instead of cryptic single letter?
Mmmm ... Yes that could be a great idea. I'll try it.
 
> On a related note, the long commit name has been a constant nuisance for 
> me.  A short commit name is perfectly enough, methinks.
I also think so. The commit ID is completely useless for humans.
Nonetheless, that would change the git-submodules output which
(according to someone-that-I-dont-remember) would be a Bad Thing(tm).

> > - define a git-submodule 'fetch' subcommand which call fetch in each
> >   submodule and runs the verbose mode of git-status (can be disabled by
> >   a --quiet option).
> 
> I like it.
> 
> You probably can refactor the code for "update" to do that nicely.
OK

Sylvain